Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.act
Interface ACreateAgents

All Superinterfaces:
  AAct, ASelect, org.eclipse.emf.ecore.EObject, IAct, IID, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  ACreateShapedAgents, ALoadAgents, ALoadShapedAgents

All Known Implementing Classes:
  ACreateAgentsImpl, ACreateShapedAgentsImpl, ALoadAgentsImpl, ALoadShapedAgentsImpl

    public interface ACreateAgents

extends ASelect

A representation of the model object ' ACreate Agents'.

Author:
  Miles Parker

  The following features are supported:

  - `Agent Count`
See Also:
  `MetaABMActPackage.getACreateAgents()`

Method Summary
`IValue` | `getAgentCount()` Returns the value of the 'Agent Count' reference.
`void` | `setAgentCount(IValue value)` Sets the value of the '`Agent Count`' reference.

Methods inherited from interface org.metaabm.act.ASelect
`getAgent, getFor, getSpace, setAgent, setFor, setSpace`

Methods inherited from interface org.metaabm.act.AAct
`getAllSources, getAllTargets, getGroup, getReference, getRootSelected, getSelected, getSources, getTargets, isReachable, isTargetOf, references, setGroup, setSelected`

Methods inherited from interface org.metaabm.IID
`getID, getLabel, setID, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAgentCount

    IValue getAgentCount()

  Returns the value of the 'Agent Count' reference.

  If the meaning of the 'Agent Count' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Agent Count' reference.
  See Also:
    `setAgentCount(IValue)`, `MetaABMActPackage.getACreateAgents_AgentCount()`

### setAgentCount

    void setAgentCount(IValue value)

  Sets the value of the '`Agent Count`' reference.

  Parameters:
    `value` - the new value of the 'Agent Count' reference.
  See Also:
    `getAgentCount()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD